Delete a course assignment

This endpoint allows removing a course assignment of an employee by its identifier.

DELETE /api/v2/businesses/{businessId}/services/{serviceId}/employees/{employeeId}/course-assignments/{courseAssignmentId}

If the data included in the request is correct, the indicated course assignment will be removed and the response will be a 204 No Content.

Considerations

The courseAssignmentId is the identifier of the course assignment generated by Orquest when it was created.

The assignment is removed regardless of its status and the dates of its trainings, even if the course was passed. The course is not affected.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

404 Not Found

Course assignment not found: <courseAssignmentId>

The given courseAssignmentId does not exist or does not belong to the employee.

What is a course assignment?